Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.codecs.lucene41
Class Lucene41Codec

    java.lang.Object
      org.apache.lucene.codecs.Codec
          org.apache.lucene.codecs.lucene41.Lucene41Codec

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

Deprecated. Only for reading old 4.0 segments

    @Deprecated
    public class Lucene41Codec

extends Codec

Implements the Lucene 4.1 index format, with configurable per-field postings formats.

If you want to reuse functionality of this codec in another codec, extend `FilterCodec`.

See Also:
  `package documentation for file format details.`
WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`Lucene41Codec()` Deprecated. Sole constructor.

Method Summary
`DocValuesFormat` | `docValuesFormat()` Deprecated. Encodes/decodes docvalues
`FieldInfosFormat` | `fieldInfosFormat()` Deprecated. Encodes/decodes field infos file
`PostingsFormat` | `getPostingsFormatForField(String field)` Deprecated. Returns the postings format that should be used for writing new segments of `field`.
`LiveDocsFormat` | `liveDocsFormat()` Deprecated. Encodes/decodes live docs
`NormsFormat` | `normsFormat()` Deprecated. Encodes/decodes document normalization values
`PostingsFormat` | `postingsFormat()` Deprecated. Encodes/decodes postings
`SegmentInfoFormat` | `segmentInfoFormat()` Deprecated. Encodes/decodes segment info file
`StoredFieldsFormat` | `storedFieldsFormat()` Deprecated. Encodes/decodes stored fields
`TermVectorsFormat` | `termVectorsFormat()` Deprecated. Encodes/decodes term vectors

Methods inherited from class org.apache.lucene.codecs.Codec
`availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Lucene41Codec

    public Lucene41Codec()

  Deprecated.
  Sole constructor.

Method Detail

### storedFieldsFormat

    public StoredFieldsFormat storedFieldsFormat()

  Deprecated.
  Description copied from class: `Codec`
  Encodes/decodes stored fields

  Specified by:
    `storedFieldsFormat` in class `Codec`

### termVectorsFormat

    public final TermVectorsFormat termVectorsFormat()

  Deprecated.
  Description copied from class: `Codec`
  Encodes/decodes term vectors

  Specified by:
    `termVectorsFormat` in class `Codec`

### postingsFormat

    public final PostingsFormat postingsFormat()

  Deprecated.
  Description copied from class: `Codec`
  Encodes/decodes postings

  Specified by:
    `postingsFormat` in class `Codec`

### fieldInfosFormat

    public FieldInfosFormat fieldInfosFormat()

  Deprecated.
  Description copied from class: `Codec`
  Encodes/decodes field infos file

  Specified by:
    `fieldInfosFormat` in class `Codec`

### segmentInfoFormat

    public final SegmentInfoFormat segmentInfoFormat()

  Deprecated.
  Description copied from class: `Codec`
  Encodes/decodes segment info file

  Specified by:
    `segmentInfoFormat` in class `Codec`

### liveDocsFormat

    public final LiveDocsFormat liveDocsFormat()

  Deprecated.
  Description copied from class: `Codec`
  Encodes/decodes live docs

  Specified by:
    `liveDocsFormat` in class `Codec`

### getPostingsFormatForField

    public PostingsFormat getPostingsFormatForField(String field)

  Deprecated.
  Returns the postings format that should be used for writing new segments of `field`. The default implementation always returns "Lucene41"

### docValuesFormat

    public DocValuesFormat docValuesFormat()

  Deprecated.
  Description copied from class: `Codec`
  Encodes/decodes docvalues

  Specified by:
    `docValuesFormat` in class `Codec`

### normsFormat

    public NormsFormat normsFormat()

  Deprecated.
  Description copied from class: `Codec`
  Encodes/decodes document normalization values

  Specified by:
    `normsFormat` in class `Codec`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.